Configures all body segmentation module removes background from input containing person if segmentation is enabled it will run as preprocessing task before any other model alternatively leave it disabled and use it on-demand using human.segmentation method which can remove background or replace it with user-provided background

### Hierarchy

- GenericConfig
  - SegmentationConfig

## Index

### Properties

- blur
- enabled
- modelPath
- skipFrames
- skipTime

## Properties

### blur

blur: number

- Defined in src/config.ts:135

blur segmentation output by pixels for more realistic image

### enabled

enabled: boolean

Inherited from GenericConfig.enabled

- Defined in src/config.ts:7

is module enabled?

### modelPath

modelPath: string

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:9

path to model json file (relative to `modelBasePath`

### skipFrames

skipFrames: number

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:12

how many max frames to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

### skipTime

skipTime: number

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:15

how many max milliseconds to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only